Summary: RPM installer/updater config files
Name: yum-autoupdate
Version: 1.1
Release: 2.SLF
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Prereq: /sbin/chkconfig, /sbin/service
Requires: yum mailx /etc/cron.daily /etc/yum.repos.d/fermi-addons.repo /etc/yum.repos.d/sl.repo /etc/yum.repos.d/fermi.repo
Epoch: 31
Provides: yum-autoupdate

%description
Setup yum in you daily cron.
Also provides yum.cron.excludes, a list of packages excluded from the
yum autoupdate.  Packages listed in the yum.cron.excludes are not excluded
when a user runs yum interactivly.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum restart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.d/
%config %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.excludes
%config %{_sysconfdir}/init.d/yum
%{_sysconfdir}/yum.d/

%changelog
* Tue Sep 27 2011 Pat Riehecky <riehecky@fnal.gov> 1.1-2.SLF
- added dependency

* Tue Jun 07 2011 Troy Dawson <dawson@fnal.gov> 1.1-1.SLF
- Use mktemp for dynamic temp files that are created 

* Wed Sep 05 2007 Troy Dawson <dawson@fnal.gov> 1-1.SLF
- Made changes from yum-autoupdate-1-1-SL
- Added the addons repository,  Brought the code over from SLF4
